<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>Person Generator</title>
</head>
<body>
  <button id="btnGenerator" class="btnGenerator">Generate Person</button>
  <section class="person-data"></section>

  <script src="./personGenerator.js"></script>
  <script>
    const initApp = () => {
      const btnGenerator = document.querySelector('#btnGenerator')
      btnGenerator.addEventListener('click', generatesPerson)
    }

    const generatesPerson = () => {
      const person = formatPersonData()
      const personData = document.querySelector('.person-data')
      Object.entries(person).map((data) => {
        const element = document.createElement('p')
        element.classList.add('person-info')
        element.textContent = data[0] == 'height' ? `${data[0]}: ${data[1]}m` : `${data[0]}: ${data[1]}`
        personData.appendChild(element)
      })
    }

    initApp()
  </script>
</body>
</html>